{------------------------------------------}
{Mental Control 1.0}
{    }
{Open Source under MPL}
{(c) 2003 SF}
{------------------------------------------}

unit CurrentAnswerVariantEditingFormUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Spin, StdCtrls;

type
  TCurrentAnswerVariantEditingForm = class(TForm)
    AnswerVariantTextEdit: TEdit;
    RightAnswerCheckBox: TCheckBox;
    BallsForVariantLabel: TLabel;
    BallsForVariantSpinEdit: TSpinEdit;
    CommentEdit: TEdit;
    HintEdit: TEdit;
    MinusBallsForUsingHintSpinEdit: TSpinEdit;
    MinusBallsForUsingHintLabel: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    procedure AnswerVariantTextEditChange(Sender: TObject);
    procedure RightAnswerCheckBoxClick(Sender: TObject);
    procedure CommentEditChange(Sender: TObject);
    procedure HintEditChange(Sender: TObject);
    procedure MinusBallsForUsingHintSpinEditChange(Sender: TObject);
    procedure BallsForVariantSpinEditChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CurrentAnswerVariantEditingForm: TCurrentAnswerVariantEditingForm;

implementation

uses TestTypesConstantsVariables, TestServices;

{$R *.dfm}

procedure TCurrentAnswerVariantEditingForm.AnswerVariantTextEditChange(
  Sender: TObject);
begin
  Edited:=true;
  SaveUndoRedo;
end;

procedure TCurrentAnswerVariantEditingForm.RightAnswerCheckBoxClick(
  Sender: TObject);
begin
  Edited:=true;
end;

procedure TCurrentAnswerVariantEditingForm.CommentEditChange(
  Sender: TObject);
begin
  Edited:=true;
  SaveUndoRedo;
end;

procedure TCurrentAnswerVariantEditingForm.HintEditChange(Sender: TObject);
begin
  Edited:=true;
  SaveUndoRedo;
end;

procedure TCurrentAnswerVariantEditingForm.MinusBallsForUsingHintSpinEditChange(
  Sender: TObject);
begin
  Edited:=true;
  SaveUndoRedo;
end;


procedure TCurrentAnswerVariantEditingForm.BallsForVariantSpinEditChange(
  Sender: TObject);
begin
  SaveUndoRedo;
  Edited:=true;
end;

end.
