{------------------------------------------}
{Mental Control 1.0}
{    }
{Open Source under MPL}
{(c) 2003 SF}
{------------------------------------------}

unit DeleteAnswerNFormUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TDeleteAnswerNForm = class(TForm)
    Label1: TLabel;
    SpinEdit: TSpinEdit;
    OKButton: TButton;
    CancelButton: TButton;
    procedure FormPaint(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DeleteAnswerNForm: TDeleteAnswerNForm;

implementation

uses TestTypesConstantsVariables, MainTestUnit,
  CurrentAnswerVariantEditingFormUnit;

{$R *.dfm}

procedure TDeleteAnswerNForm.FormPaint(Sender: TObject);
begin
  SpinEdit.MaxValue:=Questions[CurrentEditingQuestion].AnsCount;
end;

procedure TDeleteAnswerNForm.OKButtonClick(Sender: TObject);
var
  Ans_, Com_, Hint_: array[0..24] of string[255];
  Bal_, HMB_ :array[0..24] of word;
  Rig_: array[0..24] of boolean;
  i: word;
begin
  if not Editing then Close;
  for i:=0 to 24 do
   begin
    Ans_[i]:=Questions[CurrentEditingQuestion].Answer[i];
    Com_[i]:=Questions[CurrentEditingQuestion].Comment[i];
    Hint_[i]:=Questions[CurrentEditingQuestion].Hint[i];
    Bal_[i]:=Questions[CurrentEditingQuestion].Balls[i];
    HMB_[i]:=Questions[CurrentEditingQuestion].HintMinusBalls[i];
    Rig_[i]:=Questions[CurrentEditingQuestion].Right[i];
   end;
  for i:=SpinEdit.Value-1 to 24 do
   begin
    Ans_[i]:=Ans_[i+1];
    Com_[i]:=Com_[i+1];
    Hint_[i]:=Hint_[i+1];
    Bal_[i]:=Bal_[i+1];
    HMB_[i]:=HMB_[i+1];
    Rig_[i]:=Rig_[i+1];
   end;
  for i:=0 to 24 do
   begin
    Questions[CurrentEditingQuestion].Answer[i]:=Ans_[i];
    Questions[CurrentEditingQuestion].Comment[i]:=Com_[i];
    Questions[CurrentEditingQuestion].Hint[i]:=Hint_[i];
    Questions[CurrentEditingQuestion].Balls[i]:=Bal_[i];
    Questions[CurrentEditingQuestion].HintMinusBalls[i]:=HMB_[i];
    Questions[CurrentEditingQuestion].Right[i]:=Rig_[i];
   end;
  Dec(Questions[CurrentEditingQuestion].AnsCount);
  CurrentEditingAnswer:=0;
  CurrentAnswerVariantEditingForm.AnswerVariantTextEdit.Text:=Questions[CurrentEditingQuestion].Answer[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.RightAnswerCheckBox.Checked:=Questions[CurrentEditingQuestion].Right[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.BallsForVariantSpinEdit.Value:=Questions[CurrentEditingQuestion].Balls[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.CommentEdit.Text:=Questions[CurrentEditingQuestion].Comment[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.HintEdit.Text:=Questions[CurrentEditingQuestion].Hint[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.MinusBallsForUsingHintSpinEdit.Value:=Questions[CurrentEditingQuestion].HintMinusBalls[CurrentEditingAnswer];
  if CurrentEditingAnswer=0 then TestMainForm.PreviousAnswerVariantButton.Enabled:=false else TestMainForm.PreviousAnswerVariantButton.Enabled:=true;
  if CurrentEditingAnswer=Questions[CurrentEditingQuestion].AnsCount-1 then TestMainForm.NextAnswerVariantButtonButton.Enabled:=false else TestMainForm.NextAnswerVariantButtonButton.Enabled:=true;
  TestMainForm.NumberOfQuestionLabel.Caption:=IntToStr(1+CurrentEditingQuestion)+' question';
  TestMainForm.NumberOfAnswerVariantLabel.Caption:=IntToStr(1+CurrentEditingAnswer)+' Answer Variant';
  Close;
end;

procedure TDeleteAnswerNForm.CancelButtonClick(Sender: TObject);
begin
  Close;
end;

end.
