{------------------------------------------}
{Mental Control 1.0}
{    }
{Open Source under MPL}
{(c) 2003 SF}
{------------------------------------------}

unit ShowAnswerNFormUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TShowAnswerNForm = class(TForm)
    Label1: TLabel;
    SpinEdit: TSpinEdit;
    CancelButton: TButton;
    ShowButton: TButton;
    procedure Paintt(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure ShowButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ShowAnswerNForm: TShowAnswerNForm;

implementation

uses TestTypesConstantsVariables, MainTestUnit,
  CurrentAnswerVariantEditingFormUnit;

{$R *.dfm}

procedure TShowAnswerNForm.Paintt(Sender: TObject);
begin
  SpinEdit.MaxValue:=Questions[CurrentEditingQuestion].AnsCount;
end;

procedure TShowAnswerNForm.CancelButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TShowAnswerNForm.ShowButtonClick(Sender: TObject);
begin
  CurrentEditingAnswer:=SpinEdit.Value-1;
  CurrentAnswerVariantEditingForm.AnswerVariantTextEdit.Text:=Questions[CurrentEditingQuestion].Answer[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.RightAnswerCheckBox.Checked:=Questions[CurrentEditingQuestion].Right[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.BallsForVariantSpinEdit.Value:=Questions[CurrentEditingQuestion].Balls[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.CommentEdit.Text:=Questions[CurrentEditingQuestion].Comment[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.HintEdit.Text:=Questions[CurrentEditingQuestion].Hint[CurrentEditingAnswer];
  CurrentAnswerVariantEditingForm.MinusBallsForUsingHintSpinEdit.Value:=Questions[CurrentEditingQuestion].HintMinusBalls[CurrentEditingAnswer];
  if CurrentEditingAnswer=0 then TestMainForm.PreviousAnswerVariantButton.Enabled:=false else TestMainForm.PreviousAnswerVariantButton.Enabled:=true;
  if CurrentEditingAnswer=Questions[CurrentEditingQuestion].AnsCount-1 then TestMainForm.NextAnswerVariantButtonButton.Enabled:=false else TestMainForm.NextAnswerVariantButtonButton.Enabled:=true;
  TestMainForm.NumberOfQuestionLabel.Caption:=IntToStr(1+CurrentEditingQuestion)+' question';
  TestMainForm.NumberOfAnswerVariantLabel.Caption:=IntToStr(1+CurrentEditingAnswer)+' Answer Variant';
  Close;
end;

end.
