{------------------------------------------}
{Mental Control 1.0}
{    }
{Open Source under MPL}
{(c) 2003 SF}
{------------------------------------------}

unit CurrentTestOptionsFormUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TCurrentTestOptionsForm = class(TForm)
    WithMusicCheckBox: TCheckBox;
    WithPicturesCheckBox: TCheckBox;
    PasswordEdit: TEdit;
    PasswordLabel: TLabel;
    AnswerToAnswerCheckBox: TCheckBox;
    OnceCheckBox: TCheckBox;
    WithBallsCheckBox: TCheckBox;
    OKButton: TButton;
    CancelButton: TButton;
    QuestionsCountSpinEdit: TSpinEdit;
    QuestionsCountLabel: TLabel;
    TopicNameLabel: TLabel;
    TopicNameEdit: TEdit;
    WithCommentsCheckBox: TCheckBox;
    WithHintsCheckBox: TCheckBox;
    procedure OKButtonClick(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CurrentTestOptionsForm: TCurrentTestOptionsForm;

implementation

uses TestTypesConstantsVariables, MainTestUnit,
  CurrentAnswerVariantEditingFormUnit, TestServices, MediaPlayerFormUnit;

{$R *.dfm}

procedure TCurrentTestOptionsForm.OKButtonClick(Sender: TObject);
begin
  MRCTOF:=true;
  if not IfIsFirst then
   TestServices.StoreQuestions;
  CurrentTestOptions1.WithPictures:=WithPicturesCheckBox.Checked;
  CurrentTestOptions1.WithMusic:=WithMusicCheckBox.Checked;
  CurrentTestOptions1.WithBalls:=WithBallsCheckBox.Checked;
  CurrentTestOptions1.Password:=PasswordEdit.Text;
  CurrentTestOptions1.QuestionsCount:=QuestionsCountSpinEdit.Value;
  CurrentTestOptions1.AnswerOnlyByOrderOfQuestions:=AnswerToAnswerCheckBox.Checked;
  CurrentTestOptions1.ShowAllOfTheQuestionsOnce:=OnceCheckBox.Checked;
  CurrentTestOptions1.TopicName:=TopicNameEdit.Text;
  CurrentTestOptions1.WithHints:=WithHintscheckbox.Checked;
  CurrentTestOptions1.WithComments:=WithCommentsCheckBox.Checked;
  if IfIsFirst then
   begin
    IfIsFirst:=false;
    Close;
    Exit;
   end;
  RestoreQuestions;
  Close;
end;

procedure TCurrentTestOptionsForm.CancelButtonClick(Sender: TObject);
begin
  MRCTOF:=false;
  Close;
end;

end.
