{------------------------------------------}
{Mental Control 1.0}
{    }
{Open Source under MPL}
{(c) 2003 SF}
{------------------------------------------}

unit MainTestUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, ToolWin, ComCtrls, Menus, IniFiles, ExtDlgs, ExtCtrls,
  StdCtrls, CheckLst, Spin, MMSystem, Registry;

type
  TTestMainForm = class(TForm)
    ToolBar: TToolBar;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    MainMenu: TMainMenu;
    File1: TMenuItem;
    Options1: TMenuItem;
    est1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    SaveAs1: TMenuItem;
    Exit1: TMenuItem;
    estOptions1: TMenuItem;
    CurrentTestingFileOptions1: TMenuItem;
    DatabaseOptions1: TMenuItem;
    OpenForTest1: TMenuItem;
    Edit1: TMenuItem;
    Help2: TMenuItem;
    BeginTesting1: TMenuItem;
    Pause1: TMenuItem;
    Stop1: TMenuItem;
    ShowDatabase1: TMenuItem;
    Copy1: TMenuItem;
    Cut1: TMenuItem;
    Paste1: TMenuItem;
    HelpTopics1: TMenuItem;
    About1: TMenuItem;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton10: TSpeedButton;
    SpeedButton11: TSpeedButton;
    SpeedButton12: TSpeedButton;
    SpeedButton13: TSpeedButton;
    StatusBar: TStatusBar;
    OpenPictureDialog: TOpenPictureDialog;
    ExportTo1: TMenuItem;
    N2: TMenuItem;
    N4: TMenuItem;
    N5: TMenuItem;
    SpeedButton14: TSpeedButton;
    SpeedButton15: TSpeedButton;
    Image: TImage;
    EditingPanel: TPanel;
    QuestionTextEdit: TEdit;
    NumberOfQuestionLabel: TLabel;
    NumberOfAnswerVariantLabel: TLabel;
    PreviousQuestionButton: TButton;
    NextQuestionButton: TButton;
    CountOfVariantsLabel: TLabel;
    TestingPanel: TPanel;
    QuestionTextLabel: TLabel;
    ANextQuestionButton: TButton;
    APreviousQuestionButton: TButton;
    OpenSoundFileDialog: TOpenDialog;
    OpenTestFileDialog: TOpenDialog;
    SaveTestFileDialog: TSaveDialog;
    ReadyButton: TButton;
    ShuffleQuestionAnswersButton: TButton;
    AnswerVariantsCountSpinEdit: TSpinEdit;
    TestFileTopicLabel: TLabel;
    PreviousAnswerVariantButton: TButton;
    NextAnswerVariantButtonButton: TButton;
    EditCurrentAnswerVariantButton: TButton;
    ChoosePictureEdit: TEdit;
    ChoosePictureButton: TButton;
    ChooseSoundEdit: TEdit;
    ChooseSoundButton: TButton;
    LoopSoundCheckBox: TCheckBox;
    ShowHintButton: TButton;
    N7: TMenuItem;
    ShowQuestion1: TMenuItem;
    ShuffleQuestions1: TMenuItem;
    N8: TMenuItem;
    ShowAnswerVariant1: TMenuItem;
    DeleQuestion1: TMenuItem;
    DeleteAnswerVariant1: TMenuItem;
    Timer: TTimer;
    ShowCommentButton: TButton;
    EnoughButton: TButton;
    UndoRedo1: TMenuItem;
    N1: TMenuItem;
    SpeedButton5: TSpeedButton;
    ShowHighscores1: TMenuItem;
    SPreviousAnswerButton: TButton;
    SNextAnswerButton: TButton;
    PaintTimer: TTimer;
    AnswerVariantsCheckListBox: TCheckListBox;
    CloseFile1: TMenuItem;
    PictureLabel: TLabel;
    SoundPathLabel: TLabel;
    procedure Creation(Sender: TObject);
    procedure CloseQueryEvention(Sender: TObject; var CanClose: Boolean);
    procedure New1Click(Sender: TObject);
    procedure PreviousQuestionButtonClick(Sender: TObject);
    procedure NextQuestionButtonClick(Sender: TObject);
    procedure EditCurrentAnswerVariantButtonClick(Sender: TObject);
    procedure AnswerVariantsCountSpinEditChange(Sender: TObject);
    procedure PreviousAnswerVariantButtonClick(Sender: TObject);
    procedure NextAnswerVariantButtonButtonClick(Sender: TObject);
    procedure ChoosePictureButtonClick(Sender: TObject);
    procedure ChooseSoundButtonClick(Sender: TObject);
    procedure LoopSoundCheckBoxClick(Sender: TObject);
    procedure Changing(Sender: TObject);
    procedure ChoosePictureEditChange(Sender: TObject);
    procedure ChooseSoundEditChange(Sender: TObject);
    procedure ShuffleQuestionAnswersButtonClick(Sender: TObject);
    procedure SaveAs1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Russian1Click(Sender: TObject);
    procedure English1Click(Sender: TObject);
    procedure CurrentTestingFileOptions1Click(Sender: TObject);
    procedure ExportTo1Click(Sender: TObject);
    procedure ShowQuestion1Click(Sender: TObject);
    procedure estOptions1Click(Sender: TObject);
    procedure Destruction_(Sender: TObject);
    procedure DeleQuestion1Click(Sender: TObject);
    procedure ShowAnswerVariant1Click(Sender: TObject);
    procedure ShuffleQuestions1Click(Sender: TObject);
    procedure OpenForTest1Click(Sender: TObject);
    procedure BeginTesting1Click(Sender: TObject);
    procedure ShowHintButtonClick(Sender: TObject);
    procedure AnswerVariantsCheckListBoxClick(Sender: TObject);
    procedure ANextQuestionButtonClick(Sender: TObject);
    procedure APreviousQuestionButtonClick(Sender: TObject);
    procedure ReadyButtonClick(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure Pause1Click(Sender: TObject);
    procedure ShowCommentButtonClick(Sender: TObject);
    procedure EnoughButtonClick(Sender: TObject);
    procedure DeleteAnswerVariant1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure DatabaseOptions1Click(Sender: TObject);
    procedure ShowDatabase1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure PasswordWonders1Click(Sender: TObject);
    procedure ShowHighscores1Click(Sender: TObject);
    procedure SPreviousAnswerButtonClick(Sender: TObject);
    procedure SNextAnswerButtonClick(Sender: TObject);
    procedure PaintTimerTimer(Sender: TObject);
    procedure HelpTopics1Click(Sender: TObject);
    procedure UndoRedo1Click(Sender: TObject);
    procedure StatusBarDblClick(Sender: TObject);
    procedure AnswerVariantsCheckListBoxKeyPress(Sender: TObject;
      var Key: Char);
    procedure CloseFile1Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure Repainting;
    procedure LoadOptions;
    procedure AddToHighScores;
    procedure FindTestPath;
    { Public declarations }
  end;

var
  TestMainForm: TTestMainForm;

implementation

uses
  TestTypesConstantsVariables, TestServices, CurrentTestOptionsFormUnit,
  CurrentAnswerVariantEditingFormUnit, MediaPlayerFormUnit, PasswordDLGUnit,
  ExportToFormUnit, ShowQuestionNFormUnit, TestOptionsFormUnit,
  DeleteQuestionNFormUnit, ShowAnswerNFormUnit, TestingResultsFormUnit,
  DeleteAnswerNFormUnit, DatabaseOptionsFormUnit, CallUserNameFormUnit,
  DatabaseShowingFormUnit, StartingTestFormUnit, AboutEditableTestFormUnit,
  PasswordWondersUnit, HighScoresUnit, HowToOpenFormUnit,
  OptionsPasswordFormUnit;

{$R *.dfm}

procedure TTestMainForm.Repainting;
begin
  StatusBar.Top:=TestMainForm.ClientHeight-StatusBar.Height;
  Image.Refresh;
//  EditingPanel.Width:=TestMainForm.ClientWidth-EditingPanel.Left;
  EditingPanel.Height:=TestMainForm.ClientHeight-TestMainForm.StatusBar.Height;
  TestingPanel.Left:=EditingPanel.Left;
//  TestingPanel.Left:=TestMainForm.Width-TestingPanel.Width;
  TestingPanel.Height:=TestMainForm.ClientHeight-TestMainForm.StatusBar.Height;
  if Editing then EditingPanel.Visible:=True;
  if Testing then TestingPanel.Visible:=True;
end;

procedure TTestMainForm.LoadOptions;
var
  f: file of TTestOptions;
  p: PChar;
begin
  p:=PChar(ExtractFilePath(ParamStr(0)));
  AssignFile(f, String(p)+'\Mental Control\First.auf');
  Reset(f);
  read(f,TestOptions);
  CloseFile(f);
end;

procedure TTestMainForm.Creation(Sender: TObject);
var
  ff: file of TTestOptions;
  f2: file;
label EROOR_;
begin
  {$I-}
  Application.HelpFile := ExtractFilePath(ParamStr(0))+'\'+'Help.hlp';
  StartingCounts:=0;
  ShowingWarningOfPsswrds:=false;
  Opened_By_ParamStr_Once:=false;
  ProgFont:=TFont.Create;
//  LoadOptions;
  AssignFile(ff,ExtractFilePath(ParamStr(0))+'\Mental Control\First.auf');
  Reset(ff);
  if IOResult<>0 then
   begin
    TestServices.SetTestOptionsDefault;
    TestServices.SetDBOptionsDefault;
    TestOptions.BackgroundBitmapFilePath:=ExtractFilePath(ParamStr(0))+'Mcw32EIOperation.ico';
    CloseFile(ff);
    goto EROOR_;
   end;
  Read(ff,TestOptions);
  CloseFile(ff);
  CurrentTestOptions:=CurrentTestOptions1;
  BGColor:=TestOptions.BackWindowGroundColor;
  with ProgFont do
   begin
    Charset:=TestOptions.BackGroungFont.Charset;
    Color:=TestOptions.BackGroungFont.Color;
    Height:=TestOptions.BackGroungFont.Height;
    Name:=TestOptions.BackGroungFont.Name;
    Pitch:=TestOptions.BackGroungFont.Pitch;
    PixelsPerInch:=TestOptions.BackGroungFont.PixelsPerInch;
    Size:=TestOptions.BackGroungFont.Size;
    Style:=TestOptions.BackGroungFont.Style;
   end;
  EROOR_:
  SetRU;
  AssignFile(f2,TestOptions.BackgroundBitmapFilePath);
  Reset(f2);
  if IOResult<>0 then
   begin
    CloseFile(f2);
    TestOptions.BackgroundBitmapFilePath:=ExtractFilePath(ParamStr(0))+'Mcw32EIOperation.ico';
    Image.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath);
   end
  else
   begin
    CloseFile(f2);
    Image.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath);
   end;
  PlayParametres:=SND_FILENAME+SND_ASYNC;
  EditingPanel.Visible:=False;
  TestingPanel.Visible:=False;
  TestingPanel.Left:=TestMainForm.Width-TestingPanel.Width;
  Editing:=false;
  Repainting;
  PaintTimer.Enabled:=true;
end;

procedure TTestMainForm.CloseQueryEvention(Sender: TObject; var CanClose: Boolean);
begin
  if Testing then
   begin
    ShowMessage('      .');
    CanClose:=false;
    Exit;
   end;
  if Edited then
   case MessageDlg('      ?',mtConfirmation,
                   mbYesNoCancel,0) of
    mrYes: Save1Click(Self);
    mrNo: ;
    mrCancel: CanClose:=false;
   end;
  Destruction_(Self);
end;

procedure TTestMainForm.New1Click(Sender: TObject);
var i, j: longword;
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if Edited then
   case MessageDlg('      ?',mtConfirmation,
                   mbYesNoCancel,0) of
    mrYes: Save1Click(self);
    mrNo: ;
    mrCancel: Exit;
   end;
  Editing:=false;
  SaveTo:='';
  IfIsFirst:=true;
  CurrentTestOptionsForm.ShowModal;
  CurrentTestOptions:=CurrentTestOptions1;
  if not MRCTOF then Exit;
  SetLength(Questions,0);
  SetLength(Questions,CurrentTestOptions.QuestionsCount);
  EditingPanel.Left:=TestMainForm.Width-EditingPanel.Width;
  EditingPanel.Height:=TestMainForm.Height-StatusBar.Height;
  TestingPanel.Hide;
  EditingPanel.Show;
  Image.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath);
  Edited:=true;
  Editing:=true;
  TestFileTopicLabel.Caption:=CurrentTestOptions.TopicName;
  PreviousQuestionButton.Enabled:=false;
  PreviousAnswerVariantButton.Enabled:=false;
  if CurrentTestOptions.QuestionsCount<>1 then NextQuestionButton.Enabled:=true
  else NextQuestionButton.Enabled:=false;
  EditingPanel.Left:=TestMainForm.Width-EditingPanel.Width;
  Repainting;
  for i:=0 to CurrentTestOptions.QuestionsCount-1 do
   begin
    Questions[i].AnsCount:=2;
    Questions[i].PicturePath:='';
    Questions[i].SoundPath:='';
    for j:=0 to 24 do
     begin
      Questions[i].Answer[j]:='';
      Questions[i].Comment[j]:='';
      Questions[i].Hint[j]:='';
      Questions[i].Balls[j]:=0;
      Questions[i].HintMinusBalls[j]:=0;
      Questions[i].Answered[j]:=false;
      Questions[i].Right[j]:=false;
      Questions[i].LoopSound:=false;
     end;
   end;
  if CurrentTestOptions.TopicName <> '' then
    TestMainForm.Caption:=CurrentTestOptions.TopicName+' - Mental Control'
  else TestMainForm.Caption:='<   > - Mental Control';
  Application.Title:=TestMainForm.Caption;
  TestingPanel.Hide;
  EditingPanel.Show;
  if CurrentTestOptions.WithBalls then CurrentAnswerVariantEditingForm.BallsForVariantSpinEdit.Enabled:=true;
  SaveUndoRedo;
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.PreviousQuestionButtonClick(Sender: TObject);
begin
  TestServices.StoreQuestions;
  Dec(CurrentEditingQuestion);
  CurrentEditingAnswer:=0;
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.NextQuestionButtonClick(Sender: TObject);
begin
  TestServices.StoreQuestions;
  Inc(CurrentEditingQuestion);
  CurrentEditingAnswer:=0;
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.EditCurrentAnswerVariantButtonClick(
  Sender: TObject);
begin
  
  if EditCurrentAnswerVariantButton.Caption=' ' then
   begin
    CurrentAnswerVariantEditingForm.Left:=TestMainForm.Left;
    CurrentAnswerVariantEditingForm.Top:=ToolBar.Top+2*ToolBar.Height;
    CurrentAnswerVariantEditingForm.Show;
    EditCurrentAnswerVariantButton.Caption:=' ';
   end
  else
   begin
    TestServices.StoreQuestions;
    CurrentAnswerVariantEditingForm.Close;
    EditCurrentAnswerVariantButton.Caption:=' ';
   end;
  if CurrentAnswerVariantEditingForm.Visible then
   begin
    MediaPlayerForm.Top:=ToolBar.Top+2*ToolBar.Height+CurrentAnswerVariantEditingForm.Height;
    MediaPlayerForm.Left:=TestMainForm.Left;
   end
  else
   begin
    MediaPlayerForm.Top:=ToolBar.Top+2*ToolBar.Height;
    MediaPlayerForm.Left:=TestMainForm.Left;
   end;
end;

procedure TTestMainForm.AnswerVariantsCountSpinEditChange(Sender: TObject);
begin
  SaveUndoRedo;
  if AnswerVariantsCountSpinEdit.Value < 2 then AnswerVariantsCountSpinEdit.Value:=2;
  if AnswerVariantsCountSpinEdit.Value > Questions[CurrentEditingQuestion].AnsCount then
   NextAnswerVariantButtonButton.Enabled:=true;
  if AnswerVariantsCountSpinEdit.Value < Questions[CurrentEditingQuestion].AnsCount then
   begin
    case MessageDLG('    () ()?', mtWarning,
                     mbYesNoCancel,0) of
     mrYes: begin
             Questions[CurrentEditingQuestion].AnsCount:=AnswerVariantsCountSpinEdit.Value;
             TestServices.StoreQuestions;
             CurrentEditingAnswer:=0;
             TestServices.RestoreQuestions;
            end;
     mrNo:  AnswerVariantsCountSpinEdit.Value:=Questions[CurrentEditingQuestion].AnsCount;
     mrCancel: AnswerVariantsCountSpinEdit.Value:=Questions[CurrentEditingQuestion].AnsCount;
    end;
   end;
  Edited:=true;
end;

procedure TTestMainForm.PreviousAnswerVariantButtonClick(Sender: TObject);
begin
  TestServices.StoreQuestions;
  Dec(CurrentEditingAnswer);
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.NextAnswerVariantButtonButtonClick(
  Sender: TObject);
begin
  TestServices.StoreQuestions;
  Inc(CurrentEditingAnswer);
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.ChoosePictureButtonClick(Sender: TObject);
label ERROR_;
begin
  ERROR_:
  if OpenPictureDialog.Execute then
   begin
    Image.Picture.LoadFromFile(OpenPictureDialog.FileName);
    if IOResult<>0 then
     begin
      if not MessageDLG('   :     . c  ?',
                 mtError,[mbYes, mbNo],0) = mrNo then
       goto ERROR_ else Exit;
     end;
    ChoosePictureEdit.Text:=OpenPictureDialog.FileName;
    Questions[CurrentEditingQuestion].PicturePath:=OpenPictureDialog.FileName;
   end
  else
    ChoosePictureEdit.Text:=Questions[CurrentEditingQuestion].PicturePath;
  if Questions[CurrentEditingQuestion].PicturePath='' then ChoosePictureEdit.Text:='<None>';
end;

procedure TTestMainForm.ChooseSoundButtonClick(Sender: TObject);
label ERROR_;
begin
  ERROR_:
  if OpenSoundFileDialog.Execute then
   begin
    PlaySound(PChar(OpenSoundFileDialog.Files[0]),0,SND_ASYNC+SND_FILENAME);
    Questions[CurrentEditingQuestion].SoundPath:=OpenSoundFileDialog.Files[0];
    ChooseSoundEdit.Text:=Questions[CurrentEditingQuestion].SoundPath;
    if IOResult<>0 then goto ERROR_;
    if CurrentAnswerVariantEditingForm.Visible then
     begin
      MediaPlayerForm.Top:=TestMainForm.Top+94+CurrentAnswerVariantEditingForm.Height;
      MediaPlayerForm.Left:=TestMainForm.Left;
     end
    else
     begin
      MediaPlayerForm.Top:=TestMainForm.Top+94;
      MediaPlayerForm.Left:=TestMainForm.Left;
     end;
     MediaPlayerForm.Show;
   end
  else
   ChooseSoundEdit.Text:=Questions[CurrentEditingQuestion].SoundPath;
  if Questions[CurrentEditingQuestion].SoundPath='' then ChooseSoundEdit.Text:='<None>';
end;

procedure TTestMainForm.LoopSoundCheckBoxClick(Sender: TObject);
begin
  if LoopSoundCheckBox.Checked then PlayParametres:=SND_FILENAME+SND_ASYNC+SND_LOOP else
     PlayParametres:=SND_FILENAME+SND_ASYNC;
end;

procedure TTestMainForm.Changing(Sender: TObject);
begin
  Edited:=true;
  SaveUndoRedo;
end;

procedure TTestMainForm.ChoosePictureEditChange(Sender: TObject);
begin
  Edited:=true;
  SaveUndoRedo;
end;

procedure TTestMainForm.ChooseSoundEditChange(Sender: TObject);
begin
  Edited:=true;
  SaveUndoRedo;
end;

procedure TTestMainForm.ShuffleQuestionAnswersButtonClick(Sender: TObject);
var
 a, c, h: array[0..24] of string[255];
 b, m: array[0..24] of word;
 r: array[0..24] of boolean;
 s: set of byte;
 n,i: byte;
label BACK_;
begin
  if MessageDLG(' ?', mtConfirmation, [mbYes, mbNo], 0) = mrNo then Exit;
    SaveUndoRedo;
    TestServices.StoreQuestions;
    s:=[];
    Randomize;
    for i:=0 to Questions[CurrentEditingQuestion].AnsCount-1 do
     begin
      BACK_:
      n:=random(Questions[CurrentEditingQuestion].AnsCount);
      if (n in s) then goto BACK_ else Include(s,n);
      a[n]:=Questions[CurrentEditingQuestion].Answer[i];
      c[n]:=Questions[CurrentEditingQuestion].Comment[i];
      h[n]:=Questions[CurrentEditingQuestion].Hint[i];
      b[n]:=Questions[CurrentEditingQuestion].Balls[i];
      r[n]:=Questions[CurrentEditingQuestion].Right[i];
      m[n]:=Questions[CurrentEditingQuestion].HintMinusBalls[i];
     end;
    for n:=0 to Questions[CurrentEditingQuestion].AnsCount do
     begin
      Questions[CurrentEditingQuestion].Answer[n]:=a[n];
      Questions[CurrentEditingQuestion].Comment[n]:=c[n];
      Questions[CurrentEditingQuestion].Hint[n]:=h[n];
      Questions[CurrentEditingQuestion].Balls[n]:=b[n];
      Questions[CurrentEditingQuestion].Right[n]:=r[n];
      Questions[CurrentEditingQuestion].HintMinusBalls[n]:=m[n];
     end;
  CurrentEditingAnswer:=0;
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.SaveAs1Click(Sender: TObject);
var
 f: file of TTestRecord;
 f1: file of TCurrentTestFileOptions;
 s, s1: string;
 i: word;
label BACK_;
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if not Editing then Exit;
  SetLength(Qu,CurrentTestoptions.QuestionsCount);
  for i:=0 to CurrentTestoptions.QuestionsCount-1 do
   Qu[i]:=Questions[i];
  BACK_:
  SaveTestFileDialog.FileName:=SaveTo;
  TestServices.StoreQuestions;
  if SaveTestFileDialog.Execute then
   begin
    s:='';
    for i:=length(SaveTestFileDialog.FileName)-3 to length(SaveTestFileDialog.FileName) do
     s:=s+SaveTestFileDialog.FileName[i];
    if s<>'.mct' then
     begin
     S:=SaveTestFileDialog.FileName+'.mct';
     SaveTo:=SaveTestFileDialog.FileName;
     end
    else
     begin
      s:=SaveTestFileDialog.FileName;
      s1:=SaveTestFileDialog.FileName;
      Delete(S1, length(S1), 4);
      SaveTo:=s1;
     end;
    AssignFile(f, s);
    Reset(f);
    if IOResult=0 then
     if MessageDLG('      ?', mtWarning,
                   [mbYes, mbNo], 0) = mrNo then goto BACK_;
    Rewrite(f);
    for i:=1 to CurrentTestOptions.QuestionsCount do
     write(f, Questions[i-1]);
    CloseFile(f);
    s:=SaveTestFileDialog.FileName+'.tfd';
    for i:=0 to 255 do
     Inc(CurrentTestOptions.Password[i],i);
    AssignFile(f1,s);
    Rewrite(f1);
    write(f1,CurrentTestOptions);
    CloseFile(f1);
    Edited:=false;
    for i:=0 to CurrentTestoptions.QuestionsCount-1 do
     Questions[i]:=Qu[i];
    for i:=0 to 255 do
     Dec(CurrentTestOptions.Password[i],i);
    SaveUndoRedo;
    FindTestPath;
   end;
end;

procedure TTestMainForm.Save1Click(Sender: TObject);
var
  s: string;
  f: file of TTestrecord;
  f1: file of TCurrentTestFileOptions;
  i: word;
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if not Edited then Exit;
  SetLength(Qu,CurrentTestoptions.QuestionsCount);
  for i:=0 to CurrentTestoptions.QuestionsCount-1 do
   Qu[i]:=Questions[i];
  if SaveTo='' then SaveAs1Click(Self) else
   begin
    TestServices.StoreQuestions;
    s:=SaveTo+'.mct';
    AssignFile(f,s);
    Rewrite(f);
    for i:=1 to CurrentTestOptions.QuestionsCount do
     write(f, Questions[i-1]);
    CloseFile(f);
    for i:=0 to 255 do
     Inc(CurrentTestOptions.Password[i],i);
    s:=SaveTo+'.tfd';
    AssignFile(f1,s);
    Rewrite(f1);
    write(f1,CurrentTestOptions);
    CloseFile(f1);
    Edited:=false;
     for i:=0 to CurrentTestoptions.QuestionsCount-1 do
    Questions[i]:=Qu[i];
    for i:=0 to 255 do
     Dec(CurrentTestOptions.Password[i],i);
    SaveUndoRedo;
   end;
end;

procedure TTestMainForm.Open1Click(Sender: TObject);
var
  s: string;
  f: file of TTestrecord;
  f1: file of TCurrentTestFileOptions;
  i: word;
label PASSWORD_, PAAS_;
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if Edited then
   case MessageDlg('      ?',mtConfirmation,
                   mbYesNoCancel,0) of
    mrYes: Save1Click(self);
    mrNo: ;
    mrCancel: Exit;
   end;
  if OpenTestFileDialog.Execute then
   begin
    s:=OpenTestFileDialog.FileName;
    Delete(S, length(S)-3, 4);
    SaveTo:=s;
    s:=SaveTo+'.tfd';
    AssignFIle(f1,s);
    Reset(f1);
    if IOResult<>0 then
    begin
     raise Exception.Create('   -.     .'+#13+s);
     Exit;
    end;
    Read(f1,CurrentTestOptions1);
    CloseFile(f1);
    if Passwords[3] then goto PAAS_;
    for i:=0 to 255 do
     Dec(CurrentTestOptions1.Password[i],i);
    PASSWORD_:
    PasswordDLG.ShowModal;
    if PasswordDlg.Results=#1+#2+#3+#4+#5 then Exit;
    if PasswordDLG.Results<>CurrentTestOptions1.Password then
     begin
      if MessageDLG('  .   ?',mtError,[mbYes, mbNo],0)<>mrNo
      then goto PASSWORD_ else Exit;
     end;
    PAAS_:
    s:=SaveTo+'.mct';
    AssignFile(f,s);
    Reset(f);
    if IOResult<>0 then
    begin
     raise Exception.Create('     .'+ #13+s);
     Exit;
    end;
    i:=CurrentTestOptions1.QuestionsCount;
    SetLength(Questions,0);
    SetLength(Qu,i);
    SetLength(Questions,i);
    i:=0;
    FindTestPath;
    repeat
     read(f,Qu[i]);
     inc(i,1);
    until Eof(f);
    CloseFile(f);
    for i:=0 to CurrentTestOptions1.QuestionsCount-1 do
     Questions[i]:=qu[i];
    CurrentTestOptions:=CurrentTestOptions1;
    CurrentEditingQuestion:=0;
    CurrentEditingAnswer:=0; 
    TestServices.RestoreQuestions;
    EditingPanel.Left:=TestMainForm.Width-EditingPanel.Width;    
    Repainting;
    TestingPanel.Hide;
    EditingPanel.Show;
    SaveUndoRedo;
    Editing:=true;
  end;
end;

procedure TTestMainForm.Russian1Click(Sender: TObject);
begin
  SetRU;
end;

procedure TTestMainForm.English1Click(Sender: TObject);
begin
  SetEN;
end;

procedure TTestMainForm.CurrentTestingFileOptions1Click(Sender: TObject);
label CANCEL_;
begin
  if not Editing then Exit;
  SaveUndoRedo;
  CurrentTestOptions1:=CurrentTestOptions;
  CANCEL_:
  CurrentTestOptionsForm.CancelButton.Enabled:=true;
  CurrentTestOptionsForm.WithMusicCheckBox.Checked:=CurrentTestOptions1.WithMusic;
  CurrentTestOptionsForm.WithPicturesCheckBox.Checked:=CurrentTestOptions1.WithPictures;
  CurrentTestOptionsForm.PasswordEdit.Text:=CurrentTestOptions1.Password;
  CurrentTestOptionsForm.AnswerToAnswerCheckBox.Checked:=CurrentTestOptions1.AnswerOnlyByOrderOfQuestions;
  CurrentTestOptionsForm.OnceCheckBox.Checked:=CurrentTestOptions1.ShowAllOfTheQuestionsOnce;
  CurrentTestOptionsForm.WithBallsCheckBox.Checked:=CurrentTestOptions1.WithBalls;
  CurrentTestOptionsForm.QuestionsCountSpinEdit.Value:=CurrentTestOptions1.QuestionsCount;
  CurrentTestOptionsForm.TopicNameEdit.Text:=CurrentTestOptions1.TopicName;
  CurrentTestOptionsForm.WithCommentsCheckBox.Checked:=CurrentTestOptions1.WithComments;
  CurrentTestOptionsForm.WithHintsCheckBox.Checked:=CurrentTestOptions1.WithHints;
  CurrentTestOptionsForm.ShowModal;
  if not MRCTOF then Exit;
  if CurrentTestOptions.QuestionsCount<CurrentTestOptions1.QuestionsCount then
   begin
    CurrentTestOptions.QuestionsCount:=CurrentTestOptions1.QuestionsCount;
    SetLength(Questions,CurrentTestOptions.QuestionsCount);
   end;
  if CurrentTestOptions1.QuestionsCount>CurrentTestOptions.QuestionsCount then
   begin
    case MessageDLG('     ', mtWarning, mbYesNoCancel, 0) of
     mrYes: ;
     mrNo: CurrentTestOptions1.QuestionsCount:=CurrentTestOptions.QuestionsCount;
     mrCancel: goto CANCEL_;
    end;
   end;
  if CurrentTestOptions1.QuestionsCount>CurrentTestOptions.QuestionsCount then
   begin
    SetLength(Questions,CurrentTestOptions.QuestionsCount);
   end;
  CurrentEditingQuestion:=0;
  CurrentEditingAnswer:=0;
  CurrentTestOptions:=CurrentTestOptions1;
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.ExportTo1Click(Sender: TObject);
begin
  if not Editing then Exit;
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  ExportToForm.ShowModal;
end;

procedure TTestMainForm.ShowQuestion1Click(Sender: TObject);
begin
  if not Editing Then exit;
  ShowQuestionNForm.ShowModal;
end;

procedure TTestMainForm.estOptions1Click(Sender: TObject);
label GOP_, PSSWRD_;
begin
  if Passwords[2] then goto GOP_;
  if testing or editing then exit;
  PSSWRD_:
  OptionsPasswordForm.ShowModal;
  if RegPsswrdCommand then Exit;
  if TestPass<>LoadPassword then
   if MessageDLG('  .   ?',mtError,[mbYes, mbNo],0)=mrYes then goto PSSWRD_ else Exit;
  GOP_:
  URR.TestOptions:=TestOptions;
  TestOptionsForm.BackgroundImage.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath);
  TestOptionsForm.ShowModal;
end;

procedure TTestMainForm.Destruction_(Sender: TObject);
var
  p: PChar;
  f: file of TTestOptions;
begin
  p:=PChar(ExtractFilePath(ParamStr(0)));
  AssignFile(f, String(p)+'\Mental Control\First.auf');
  Rewrite(f);
  write(f,TestOptions);
  CloseFile(f);
end;

procedure TTestMainForm.DeleQuestion1Click(Sender: TObject);
begin
  if not Editing then Exit;
  SaveUndoRedo;
  DeleteQuestionNForm.ShowModal;
end;

procedure TTestMainForm.ShowAnswerVariant1Click(Sender: TObject);
begin
  if not Editing then Exit;
  ShowAnswerNForm.ShowModal;
end;

procedure TTestMainForm.ShuffleQuestions1Click(Sender: TObject);
var
  s: set of byte;
  n, i: word;
label BACK_;
begin
  if not Editing then Exit;
  if CurrentTestOptions.QuestionsCount>256 then
   begin
    MessageBox(TestMainForm.Handle,'   ,   256 ',
               ' -...',MB_OK);
    Exit;
   end;
  if MessageDLG('    ?',mtConfirmation,[mbYes, mbNo], 0) = mrNo then Exit;
  s:=[];
  SaveUndoRedo;
  SetLength(Qu,CurrentTestOptions.QuestionsCount);
  for i:=0 to CurrentTestOptions.QuestionsCount-1 do
   Qu[i]:=Questions[i];
  i:=0;
  repeat
   BACK_:
   n:=random(CurrentTestOptions.QuestionsCount);
   if n in s then goto BACK_ else Include(s, n);
   Qu[n]:=Questions[i];
   inc(i);
  until i=CurrentTestOptions.QuestionsCount;
  for i:=0 to CurrentTestOptions.QuestionsCount-1 do
   Questions[i]:=Qu[i];
  CurrentEditingQuestion:=0;
  CurrentEditingAnswer:=0;
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.OpenForTest1Click(Sender: TObject);
var
  s: string;
  f: file of TTestrecord;
  f1: file of TCurrentTestFileOptions;
  i: word;
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if Editing and Edited then
   case MessageDlg('      ?',
                   mtConfirmation,mbYesNoCancel,0) of
    mrYes: Save1Click(self);
    mrNo: ;
    mrCancel: Exit;
   end;
  if OpenTestFileDialog.Execute then
   begin
    EditingPanel.Hide;
    if CurrentAnswerVariantEditingForm.Visible then
     CurrentAnswerVariantEditingForm.Close;
    if MediaPlayerForm.Visible then
     MediaPlayerForm.Close;
    s:=OpenTestFileDialog.FileName;
    Delete(S, length(S)-3, 4);
    SaveTo:=s;
    s:=SaveTo+'.tfd';
    AssignFIle(f1,s);
    Reset(f1);
    if IOResult<>0 then
    begin
     raise Exception.Create('   -.     .'+#13+s);
     Exit;
    end;
    Read(f1,CurrentTestOptions1);
    CloseFile(f1);
    s:=SaveTo+'.mct';
    AssignFile(f,s);
    Reset(f);
    FindTestPath;
    if IOResult<>0 then
    begin
     raise Exception.Create('     .'+ #13+s);
     Exit;
    end;
    i:=CurrentTestOptions1.QuestionsCount;
    SetLength(Qu,i);
    SetLength(Questions,i);
    i:=0;
    repeat
     read(f,Qu[i]);
     inc(i,1);
    until Eof(f);
    CloseFile(f);
    for i:=0 to CurrentTestOptions1.QuestionsCount-1 do
     Questions[i]:=qu[i];
    Edited:=false;
    Editing:=false;
    Opened:=true;
    Testing:=false;
    CurrentTestOptions:=CurrentTestOptions1;
    ShowMessage(' :'+#13+CurrentTestOptions.TopicName);
    TestingPanel.Left:=TestMainForm.Width-TestingPanel.Width;
    TestingPanel.Visible:=true;
    ANextQuestionButton.Enabled:=false;
    APreviousQuestionButton.Enabled:=false;
    ShowCommentButton.Visible:=false;
    EnoughButton.Visible:=false;
    SNextAnswerButton.Visible:=false;
    SPreviousAnswerButton.Visible:=false;
    QuestionTextLabel.Caption:='  '+#13+'  ';
    ShowHintButton.Enabled:=false;
    ReadyButton.Enabled:=false;
    AnswerVariantsCheckListBox.Visible:=false;
    TestLBTop:=AnswerVariantsCheckListBox.Top;
    TestLBHeight:=AnswerVariantsCheckListBox.Height;
    if CurrentTestOptions.TopicName <> '' then
      TestMainForm.Caption:=CurrentTestOptions.TopicName+' - Mental Control'
    else TestMainForm.Caption:='<   > - Mental Control';
    Application.Title:=TestMainForm.Caption;
    TestingPanel.Left:=TestMainForm.Width-TestingPanel.Width;
    Image.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath);
   end;
end;

procedure TTestMainForm.BeginTesting1Click(Sender: TObject);
var
 i,j: word;
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if not Opened then Exit;
  if Editing then Exit;
  if MessageDLG('  ,    ?',mtConfirmation,
                [mbYes, mbNo],0) = mrNo then Exit;
  if TestOptions.ToCallUserNameFoEveryTesting then
   begin
    CallUserNameForm.ShowModal;
   end;
  for i:=0 to CurrentTestOptions.QuestionsCount-1 do
   for j:=0 to Questions[i].AnsCount-1 do
    Questions[i].Answered[j]:=false;
  if TestOptions.ToLimitTestTime then ShowMessage(',  !'+#13+'     '+IntToStr(TestOptions.MaxTestTime)+' c.');
  if TestOptions.ToLimitTestTime then Timer.Interval:=TestOptions.MaxTestTime*1000;
  if TestOptions.ToLimitTestTime then Timer.Enabled:=true;
  CurrentAnsweringQuestion:=0;
  ShowCommentButton.Visible:=false;
  EnoughButton.Visible:=false;
  ANextQuestionButton.Visible:=true;
  APreviousQuestionButton.Visible:=true;
  ShowHintButton.Visible:=true;
  ReadyButton.Enabled:=true;
  ReadyButton.Visible:=true;
  APreviousQuestionButton.Enabled:=false;
  Paused:=false;
  Editing:=false;
  Edited:=false;
  AnswerVariantsCheckListBox.Height:=TestLBHeight-QuestionTextLabel.Height;
  AnswerVariantsCheckListBox.Top:=TestLBTop+QuestionTextLabel.Height;
  AnswerVariantsCheckListBox.Show;
  SNextAnswerButton.Visible:=false;
  SPreviousAnswerButton.Visible:=false;
  if CurrentTestOptions.QuestionsCount>1 then
   ANextQuestionButton.Enabled:=True
  else ANextQuestionButton.Enabled:=false;
  if CurrentTestOptions.WithHints then ShowHintButton.Enabled:=true else ShowHintButton.Enabled:=false;
  if TestOptions.ToLimitTestTime then
   begin
    Timer.Interval:=TestOptions.MaxTestTime*1000;
    Timer.Enabled:=true;
   end
  else
    Timer.Enabled:=false;
  Testing:=true;
  QuestionTextLabel.Caption:=WrapText(Questions[CurrentAnsweringQuestion].Question,380 div TestOptions.BackGroungFont.Size);
  ShowTestingQuestion;
end;

procedure TTestMainForm.ShowHintButtonClick(Sender: TObject);
begin
  if CurrentSelectedAnswer>24 then Exit;
  if Questions[CurrentAnsweringQuestion].HintMinusBalls[CurrentSelectedAnswer]<>0 then
   if MessageDLG('   !   ?', mtWarning, [mbYes, mbNo], 0) = mrNo then Exit;
  if Questions[CurrentAnsweringQuestion].Hint[CurrentSelectedAnswer]<>'' then
     ShowMessage(Questions[CurrentAnsweringQuestion].Hint[CurrentSelectedAnswer])
  else ShowMessage(':      ');
  UsedHintsBalls:=UsedHintsBalls+Questions[CurrentAnsweringQuestion].HintMinusBalls[CurrentSelectedAnswer];
end;

procedure TTestMainForm.AnswerVariantsCheckListBoxClick(Sender: TObject);
begin
  CurrentSelectedAnswer:=AnswerVariantsCheckListBox.ItemIndex;
end;

procedure TTestMainForm.ANextQuestionButtonClick(Sender: TObject);
var
  i: word;
begin
  for i:=0 to AnswerVariantsCheckListBox.Items.Count-1 do
   Questions[CurrentAnsweringQuestion].Answered[i]:=AnswerVariantsCheckListBox.Checked[i];
  if TestOptions.ToLimitTestTime then
   begin
    Timer.Interval:=TestOptions.MaxTestTime*1000;
    Timer.Enabled:=true;
   end
  else
    Timer.Enabled:=false;
  if CurrentTestOptions.AnswerOnlyByOrderOfQuestions or CurrentTestOptions.ShowAllOfTheQuestionsOnce then
   APreviousQuestionButton.Enabled:=false
  else
   APreviousQuestionButton.Enabled:=true;
  Inc(CurrentAnsweringQuestion);
  if CurrentAnsweringQuestion<CurrentTestOptions.QuestionsCount-1 then
   ANextQuestionButton.Enabled:=True
  else ANextQuestionButton.Enabled:=False;
  QuestionTextLabel.Caption:=WrapText(Questions[CurrentAnsweringQuestion].Question,380 div TestOptions.BackGroungFont.Size);
  Editing:=false;
  Edited:=false;  
  ShowTestingQuestion;
end;

procedure TTestMainForm.APreviousQuestionButtonClick(Sender: TObject);
var
  i: word;
begin
  for i:=0 to AnswerVariantsCheckListBox.Items.Count-1 do
   Questions[CurrentAnsweringQuestion].Answered[i]:=AnswerVariantsCheckListBox.Checked[i];
  if TestOptions.ToLimitTestTime then
   begin
    Timer.Interval:=TestOptions.MaxTestTime*1000;
    Timer.Enabled:=true;
   end
  else
    Timer.Enabled:=false;
  ANextQuestionButton.Enabled:=true;
  Dec(CurrentAnsweringQuestion);
  if CurrentAnsweringQuestion>0 then
   APreviousQuestionButton.Enabled:=True
  else APreviousQuestionButton.Enabled:=False;
  QuestionTextLabel.Caption:=WrapText(Questions[CurrentAnsweringQuestion].Question,380 div TestOptions.BackGroungFont.Size);
  Editing:=false;
  Edited:=false;  
  ShowTestingQuestion;
end;

procedure TTestMainForm.ReadyButtonClick(Sender: TObject);
var
  i, j: word;
  f, f1: file of TDatabaseRecord;
  bbb: boolean;
  p: PChar;
label WRITE_;
begin
  bbb:=true;
  Editing:=false;
  Edited:=false;
  if not Testing then Exit;
  if ReadyDir then
   if MessageDLG('  ?', mtWarning, [mbYes, mbNo], 0) = mrNo then Exit;
  for i:=0 to AnswerVariantsCheckListBox.Items.Count-1 do
   Questions[CurrentAnsweringQuestion].Answered[i]:=AnswerVariantsCheckListBox.Checked[i];
  Timer.Enabled:=false;
  RightAnswers:=0;
  AllTrue:=0;
  for i:=0 to CurrentTestOptions.QuestionsCount-1 do
   begin
   for j:=0 to Questions[i].AnsCount-1 do
    begin
     if (Questions[i].Right[j]=Questions[i].Answered[j])and(Questions[i].Right[j])and(Questions[i].Answered[j]) then
        AllBalls:=AllBalls+Questions[i].Balls[j];
     if (Questions[i].Right[j]=Questions[i].Answered[j]) then bbb:=(bbb and true) else bbb:=(bbb and false);
     AllTrue:=CurrentTestOptions.QuestionsCount;
    end;
   if bbb then Inc(RightAnswers);
   bbb:=true;
   end;
  if not passwords[6] then
   AllBalls:=AllBalls-UsedHintsBalls;
  if Passwords[5] then RightAnswers:=AllTrue;
  with TestingResultsForm do
   begin
    RightAnswersCountLabel.Caption:=IntToStr(RightAnswers)+' of '+intToStr(alltrue);;
    ReachedBallsLabel.Caption:=IntToStr(AllBalls);
   end;
  if not CurrentTestOptions.WithBalls then TestingResultsForm.ReachedBallsLabel.Caption:='<Without Balls>';
  CurrentTestingResults.RightAnswers:=RightAnswers;
  CurrentTestingResults.MaxRightAnswersCount:=alltrue;
  CurrentTestingResults.ReachedBalls:=AllBalls;
  CurrentTestingResults.Topic:=CurrentTestOptions.TopicName;
  if TestOptions.ToAddAllResultsToDatabase then
   begin
    p:=PChar(ExtractFilePath(ParamStr(0)));
    AssignFile(f, String(p)+'\Mental Control\Second.auf');
    AssignFile(f1,ExtractFilePath(ParamStr(0))+'\DBS.tmp');
    Reset(f);
    Rewrite(f1);
    if IOResult<>0 then goto WRITE_;
    repeat
     Read(f,CTR1);
     Write(f1,CTR1);
    until Eof(f);
    WRITE_:
    write(f1,CurrentTestingResults);
    CloseFile(f1);
    CloseFile(f);
    p:=PChar(ExtractFilePath(ParamStr(0)));
    if not DeleteFile(string(p)+'\Mental Control\Second.auf') then
     ShowMessage('       -   !');
    if not RenameFile(ExtractFilePath(ParamStr(0))+'\DBS.tmp',string(p)+'\Mental Control\Second.auf')
     then ShowMessage('       -   !');
   end;
  if TestOptions.ToCreateHighscoresList then
   begin
    with HSCR2 do
     begin
      Name:=CurrentTestingResults.Name;
      Suname:=CurrentTestingResults.Suname;
      Classx:=CurrentTestingResults.Classx;
      RightAnswers:=CurrentTestingResults.RightAnswers;
      MaxRightAnswersCount:=CurrentTestingResults.MaxRightAnswersCount;
      ReachedBalls:=CurrentTestingResults.ReachedBalls;
      Topic:=CurrentTestingResults.Topic;
      if not CurrentTestOptions.QuestionsCount>0 then
       PercentRight:=CurrentTestingResults.RightAnswers/CurrentTestingResults.MaxRightAnswersCount
      else PercentRight:=0;
     end;
    AddToHighScores;
   end;
  Testing:=false;
  if CurrentTestOptions.TopicName <> '' then
   TestMainForm.Caption:=CurrentTestOptions.TopicName+' - Mental Control'
  else TestMainForm.Caption:='<   > - Mental Control';
  Application.Title:=TestMainForm.Caption;
  TestingResultsForm.ShowModal;
end;

procedure TTestMainForm.TimerTimer(Sender: TObject);
begin
  if not Testing then Exit;
  if Passwords[1] then Exit;
  if CurrentAnsweringQuestion < CurrentTestOptions.QuestionsCount-1 then
   begin
    ShowMessage(' !    !');
    ANextQuestionButtonClick(self);
   end
  else
   begin
    ShowMessage(' !   !');
    ReadyDir:=false;
    ReadyButtonClick(self);
   end;
end;

procedure TTestMainForm.Pause1Click(Sender: TObject);
label PAU_, UN_PAU_;
begin
  if not Testing then exit;
  if CurrentAnsweringQuestion=0 then Exit;
  if Paused then goto UN_PAU_ else goto PAU_;
  PAU_:
  if MessageDLG('      ?',mtConfirmation,[mbYes, mbNo],0) = mrNo then Exit;
  Timer.Enabled:=false;
  AnswerVariantsCheckListBox.Hide;
  APreviousQuestionButton.Hide;
  ANextQuestionButton.Hide;
  ShowHintButton.Hide;
  ReadyButton.Hide;
  QuestionTextLabel.Caption:='  '+#13+'  ';
  Paused:=true;
  Exit;
  UN_PAU_:
  if MessageDLG('      ?',mtConfirmation,[mbYes, mbNo],0) = mrNo then Exit;
  AnswerVariantsCheckListBox.Show;
  APreviousQuestionButton.Show;
  ANextQuestionButton.Show;
  ShowHintButton.Show;
  ReadyButton.Show;
  Paused:=false;
  Dec(CurrentAnsweringQuestion);
  ANextQuestionButtonClick(self);
  Exit;
end;

procedure TTestMainForm.ShowCommentButtonClick(Sender: TObject);
begin
  if CurrentSelectedAnswer>24 then Exit;
  if Questions[CurrentAnsweringQuestion].Comment[CurrentSelectedAnswer]<>'' then
     ShowMessage(Questions[CurrentAnsweringQuestion].Comment[CurrentSelectedAnswer])
  else ShowMessage(':      !');
end;

procedure TTestMainForm.EnoughButtonClick(Sender: TObject);
begin
  Editing:=false;
  Edited:=false;
  AnswerVariantsCheckListBox.Hide;
  APreviousQuestionButton.Hide;
  ANextQuestionButton.Hide;
  ShowHintButton.Hide;
  ReadyButton.Hide;
  EnoughButton.Hide;
  ShowCommentButton.Hide;
  SPreviousAnswerButton.Hide;
  SNextAnswerButton.Hide;
  Image.Picture.LoadFromFile(testOptions.BackgroundBitmapFilePath);
  QuestionTextLabel.Caption:='  ,  '+#13+'  !'+#13+' .';
end;

procedure TTestMainForm.DeleteAnswerVariant1Click(Sender: TObject);
begin
  if not Editing then Exit;
  if Questions[CurrentEditingQuestion].AnsCount<3 then
   begin
    MessageDLG('     2  !',mtError,[mbOK],0);
    Exit;
   end;
  SaveUndoRedo;
  DeleteaNSWERnfORM.ShowModal;
  AnswerVariantsCountSpinEdit.Value:=Questions[CurrentEditingQuestion].AnsCount;
  AnswerVariantsCheckListBox.Top:=TestLBTop;
  AnswerVariantsCheckListBox.Height:=TestLBHeight;
end;

procedure TTestMainForm.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TTestMainForm.DatabaseOptions1Click(Sender: TObject);
label GOP_, PSSWRD_;
begin
  if Passwords[2] then goto GOP_;
  if testing or editing then exit;
  PSSWRD_:
  OptionsPasswordForm.ShowModal;
  if RegPsswrdCommand then Exit;
  if TestPass<>LoadPassword then
   if MessageDLG('  .   ?',mtError,[mbYes, mbNo],0)=mrYes then goto PSSWRD_ else Exit;
  GOP_:
  SaveUndoRedo;
  DatabaseOptionsForm.ShowModal;
end;

procedure TTestMainForm.ShowDatabase1Click(Sender: TObject);
var
  f: file of TDataBaseRecord;
  i: cardinal;
  p: PChar;
begin
  if Testing then
   begin
    MessageDLG('      !',mtError,[mbOK],0);
    Exit;
   end;
  if Editing then
   begin
    MessageDLG('      !',mtError,[mbOK],0);
    Exit;
   end;
  p:=PChar(ExtractFilePath(ParamStr(0)));
  AssignFile(f, String(p)+'\Mental Control\Second.auf');
  Reset(f);
  if IOResult<>0 then
   begin
    MessageDLG('    -    !',mtError,[mbOK],0);
    Exit;
   end;
  DatabaseShowingForm.StringGrid.Cells[0,0]:='';
  DatabaseShowingForm.StringGrid.Cells[1,0]:='';
  DatabaseShowingForm.StringGrid.Cells[2,0]:='';
  DatabaseShowingForm.StringGrid.Cells[3,0]:=' ';
  DatabaseShowingForm.StringGrid.Cells[4,0]:='   ';
  DatabaseShowingForm.StringGrid.Cells[5,0]:=' ';
  DatabaseShowingForm.StringGrid.Cells[6,0]:=' ';
  i:=1;
  repeat
   Read(f,ctr1);
   inc(i);
  until Eof(f);
  DatabaseShowingForm.StringGrid.RowCount:=i;
  i:=0;
  Reset(f);
  repeat
   inc(i);
   Read(f,CTR1);
   with CTR1 do
    begin
     DatabaseShowingForm.StringGrid.Cells[0,i]:=Name;
     DatabaseShowingForm.StringGrid.Cells[1,i]:=Suname;
     DatabaseShowingForm.StringGrid.Cells[2,i]:=Classx;
     DatabaseShowingForm.StringGrid.Cells[3,i]:=IntToStr(RightAnswers);
     DatabaseShowingForm.StringGrid.Cells[4,i]:=IntToStr(MaxRightAnswersCount);
     DatabaseShowingForm.StringGrid.Cells[5,i]:=IntToStr(ReachedBalls);
     DatabaseShowingForm.StringGrid.Cells[6,i]:=Topic;
    end;
  until Eof(f);
  CloseFile(f);
  DatabaseShowingForm.ShowModal;
end;

procedure TTestMainForm.Copy1Click(Sender: TObject);
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if not Editing then Exit;
  if QuestionTextEdit.Focused then
   QuestionTextEdit.CopyToClipboard;
  if AnswerVariantsCountSpinEdit.Focused then
   AnswerVariantsCountSpinEdit.CopyToClipboard;
  if ChoosePictureEdit.Focused then
   ChoosePictureEdit.CopyToClipboard;
  if ChooseSoundEdit.Focused then
   ChooseSoundEdit.CopyToClipboard;
end;

procedure TTestMainForm.FormPaint(Sender: TObject);
var
  s: string;
  f: file of TTestrecord;
  f1: file of TCurrentTestFileOptions;
  i: word;
label EROOR_, PASSWORD_, PAAS_, DRUSCH_;
begin
  if StartingCounts=0 then
    StartingTestForm.Show;
  inc(StartingCounts);
  if (not TestServices.PasswordExisting)and(not ShowingWarningOfPsswrds) then
   begin
    ShowingWarningOfPsswrds:=true;
    if MessageDLG('     .  ?',mtWarning,[mbYes,mbNo],0)=mrNo then goto DRUSCH_;
     OptionsPasswordForm.ShowModal;
    if not RegPsswrdCommand then
     begin
      TestServices.RegPassword(TestPass);
      MessageDLG(' .',mtInformation,[mbOK],0);
     end;
   end;
  DRUSCH_:
  if (ParamCount>0)and(not Opened_By_ParamStr_Once) then
   begin
    s:=ParamStr(1);
    Opened_By_ParamStr_Once:=true;
    Delete(S, length(S)-3, 4);
    SaveTo:=s;
    s:=SaveTo+'.tfd';
    AssignFIle(f1,s);
    Reset(f1);
    if IOResult<>0 then
    begin
     raise Exception.Create('   -.     .'+#13+s);
     Exit;
    end;
    Read(f1,CurrentTestOptions1);
    CloseFile(f1);
    HowToOpenForm.ShowModal;
    if HowToOpen_OpenToTest then goto PAAS_;
    PASSWORD_:
    PasswordDLG.ShowModal;
    if PasswordDlg.Results=#1+#2+#3+#4+#5 then Exit;
    if PasswordDLG.Results<>CurrentTestOptions1.Password then
     begin
      if MessageDLG('  .   ?',mtError,[mbYes, mbNo],0)<>mrNo
      then goto PASSWORD_ else Exit;
     end;
    PAAS_:
    s:=SaveTo+'.mct';
    AssignFile(f,s);
    Reset(f);
    if IOResult<>0 then
    begin
     raise Exception.Create('     .'+ #13+s);
     Exit;
    end;
    i:=CurrentTestOptions1.QuestionsCount;
    SetLength(Qu,i);
    SetLength(Questions,i);
    i:=0;
    repeat
     read(f,Qu[i]);
     inc(i,1);
    until Eof(f);
    CloseFile(f);
    for i:=0 to CurrentTestOptions1.QuestionsCount-1 do
     Questions[i]:=qu[i];
       if HowToOpen_OpenToTest then
   begin
    Edited:=false;
    Editing:=false;
    Opened:=true;
    Testing:=false;
    CurrentTestOptions:=CurrentTestOptions1;
    ShowMessage(' :'+#13+CurrentTestOptions.TopicName);
    TestingPanel.Left:=TestMainForm.Width-TestingPanel.Width;
    TestingPanel.Visible:=true;
    ANextQuestionButton.Enabled:=false;
    APreviousQuestionButton.Enabled:=false;
    ShowCommentButton.Visible:=false;
    EnoughButton.Visible:=false;
    SNextAnswerButton.Visible:=false;
    SPreviousAnswerButton.Visible:=false;
    QuestionTextLabel.Caption:='  '+#13+'  ';
    ShowHintButton.Enabled:=false;
    ReadyButton.Enabled:=false;
    AnswerVariantsCheckListBox.Visible:=false;
    TestLBTop:=AnswerVariantsCheckListBox.Top;
    TestLBHeight:=AnswerVariantsCheckListBox.Height;
    TestingPanel.Left:=TestMainForm.Width-TestingPanel.Width;
    if CurrentTestOptions.TopicName <> '' then
     TestMainForm.Caption:=CurrentTestOptions.TopicName+' - Mental Control'
    else TestMainForm.Caption:='<   > - Mental Control';
    Application.Title:=TestMainForm.Caption;
   end
  else
   begin
    CurrentTestOptions:=CurrentTestOptions1;
    EditingPanel.Left:=TestMainForm.Width-EditingPanel.Width;
    EditingPanel.Height:=TestMainForm.Height-StatusBar.Height;
    EditingPanel.Visible:=true;
    Edited:=false;
    Editing:=true;
    CurrentEditingQuestion:=0;
    CurrentEditingAnswer:=0;
    TestingPanel.Visible:=false;
    for i:=0 to CurrentTestOptions1.QuestionsCount-1 do
     Questions[i]:=qu[i];
    CurrentTestOptions:=CurrentTestOptions1;
    EditingPanel.Left:=TestMainForm.Width-EditingPanel.Width;
    TestServices.RestoreQuestions;
   end;
  end;
end;

procedure TTestMainForm.Cut1Click(Sender: TObject);
begin
  if not Editing then Exit;
  Copy1Click(self);
  if QuestionTextEdit.Focused then
   QuestionTextEdit.SelText:='';
  if AnswerVariantsCountSpinEdit.Focused then
   AnswerVariantsCountSpinEdit.Value:=2;
  if ChoosePictureEdit.Focused then
   ChoosePictureEdit.SelText:='<None>';
  if ChooseSoundEdit.Focused then
   ChooseSoundEdit.SelText:='<None>';
  SaveUndoRedo;
end;

procedure TTestMainForm.Paste1Click(Sender: TObject);
begin
  if not Editing then Exit;
  SaveUndoRedo;
  if QuestionTextEdit.Focused then
   QuestionTextEdit.PasteFromClipboard;
  if AnswerVariantsCountSpinEdit.Focused then
   AnswerVariantsCountSpinEdit.PasteFromClipboard;
  if ChoosePictureEdit.Focused then
   ChoosePictureEdit.PasteFromClipboard;
  if ChooseSoundEdit.Focused then
   ChooseSoundEdit.PasteFromClipboard;
end;

procedure TTestMainForm.About1Click(Sender: TObject);
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  AboutEditableTestForm.ShowModal;
end;

procedure TTestMainForm.PasswordWonders1Click(Sender: TObject);
begin
  PasswordWondersForm.ShowModal;
end;

procedure TTestMainForm.ShowHighscores1Click(Sender: TObject);
var
  f: file of THighScoresRecord;
  i, j, max: word;
  p: PChar;
begin
  if Testing then Exit;
  if Editing then Exit;
  p:=PChar(ExtractFilePath(ParamStr(0)));
  AssignFile(f, String(p)+'\Mental Control\Third.auf');
  Reset(f);
  if IOResult<>0 then
   begin
    MessageBox(TestMainForm.Handle,'     !','Error',MB_OK);
    Exit;
   end;
  for i:=1 to 10 do
   Read(f,HighScores[i]);
  CloseFile(f);
  HighScoresForm.StringGrid.Cells[1,0]:='';
  HighScoresForm.StringGrid.Cells[2,0]:='';
  HighScoresForm.StringGrid.Cells[3,0]:='';
  HighScoresForm.StringGrid.Cells[4,0]:=' ';
  HighScoresForm.StringGrid.Cells[5,0]:='   ';
  HighScoresForm.StringGrid.Cells[6,0]:=' ';
  for i:=1 to 10 do
   HighScoresForm.StringGrid.Cells[0,i]:=IntToStr(i);
  for i:=1 to 9 do
   begin
    max:=i;
    for j:=i+1 to 10 do
     begin
      if (HighScores[j].PercentRight) > (Highscores[max].PercentRight) then
       max:=j;
     end;
    HSCR3:=HighScores[i];
    HighScores[i]:=HighScores[max];
    HighScores[max]:=HSCR3;
   end;
  for i:=1 to 10 do
   begin
    HighScoresForm.StringGrid.Cells[1,i]:=HighScores[i].Name;
    HighScoresForm.StringGrid.Cells[2,i]:=HighScores[i].Suname;
    HighScoresForm.StringGrid.Cells[3,i]:=HighScores[i].Classx;
    HighScoresForm.StringGrid.Cells[4,i]:=IntToStr(HighScores[i].RightAnswers);
    HighScoresForm.StringGrid.Cells[5,i]:=IntToStr(HighScores[i].MaxRightAnswersCount);
    HighScoresForm.StringGrid.Cells[6,i]:=IntToStr(HighScores[i].ReachedBalls);
   end;
  HighScoresForm.ShowModal;
end;

procedure TTestMainForm.AddToHighScores;
var
  f: file of THighScoresRecord;
  i, j, max: word;
  p: PChar;
label DRRR_;
begin
  p:=PChar(ExtractFilePath(ParamStr(0)));
  AssignFile(f,p+'\Mental Control\Third.auf');
  Reset(f);
  if IOResult<>0 then
   begin
    MessageBox(TestMainForm.Handle,'     !','Error',MB_OK);
    Goto DRRR_;
   end;
  for i:=1 to 10 do
   begin
    Read(f,HighScores[i]);
    if Highscores[i].MaxRightAnswersCount<=0 then
     HighScores[i].PercentRight:=0;
   end;
  CloseFile(f);
  DRRR_:
  for i:=1 to 9 do
   begin
    max:=i;
    for j:=i+1 to 10 do
     begin
      if (HighScores[j].PercentRight) > (Highscores[max].PercentRight) then
       max:=j;
     end;
    HSCR3:=HighScores[i];
    HighScores[i]:=HighScores[max];
    HighScores[max]:=HSCR3;
   end;
  if (HSCR2.PercentRight)>(HighScores[10].PercentRight) then
    HighScores[10]:=HSCR2
  else Exit;
  for i:=1 to 9 do
   begin
    max:=i;
    for j:=2 to 10 do
     begin
      if (HighScores[j].PercentRight) > (Highscores[max].PercentRight) then
       max:=j;
     end;
    HSCR3:=HighScores[i];
    HighScores[i]:=HighScores[max];
    HighScores[max]:=HSCR3;
   end;
   Rewrite(f);
   for I:=1 to 10 do
    Write(f,HighScores[i]);
end;

procedure TTestMainForm.SPreviousAnswerButtonClick(Sender: TObject);
var
  i: word;
  s: string;
  MaxWidth: integer;
begin
  for i:=0 to AnswerVariantsCheckListBox.Items.Count-1 do
   Questions[CurrentAnsweringQuestion].Answered[i]:=AnswerVariantsCheckListBox.Checked[i];
  Dec(CurrentAnsweringQuestion);
  if (not CurrentTestOptions.WithPictures)or(Questions[CurrentAnsweringQuestion].PicturePath='')
  then Image.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath) else
  if Questions[CurrentAnsweringQuestion].PicturePath<>'' then
   begin
    ChoosePictureEdit.text:=Questions[CurrentAnsweringQuestion].PicturePath;
    if Pos('\',Questions[CurrentAnsweringQuestion].PicturePath)>0 then
     Image.picture.LoadFromFile(Questions[CurrentAnsweringQuestion].PicturePath)
    else Image.picture.LoadFromFile(TestPath+'\'+Questions[CurrentAnsweringQuestion].PicturePath)
   end;
  PlayParametres:=SND_FILENAME+SND_ASYNC;
  if Questions[CurrentAnsweringQuestion].LoopSound then PlayParametres:=PlayParametres+SND_LOOP;
  QuestionTextLabel.Caption:=WrapText(Questions[CurrentAnsweringQuestion].Question,380 div TestOptions.BackGroungFont.Size);
  AnswerVariantsCheckListBox.Height:=TestLBHeight-QuestionTextLabel.Height;
  AnswerVariantsCheckListBox.Top:=TestLBTop+QuestionTextLabel.Height;
  AnswerVariantsCheckListBox.Items.Clear;
  for i:=0 to Questions[CurrentAnsweringQuestion].AnsCount-1 do
   begin
    AnswerVariantsCheckListBox.Items.Add(Questions[CurrentAnsweringQuestion].Answer[i]);
    AnswerVariantsCheckListBox.Checked[i]:=Questions[CurrentAnsweringQuestion].Right[i];
   end;
  if CurrentAnsweringQuestion<CurrentTestOptions.QuestionsCount-1 then
   sNextAnswerButton.Enabled:=True
  else sNextaNSWERButton.Enabled:=False;
  if CurrentAnsweringQuestion>0 then
   SPreviousAnswerButton.Enabled:=True
  else SPreviousAnswerButton.Enabled:=False;
  if CurrentTestOptions.WithMusic then PlaySound(PChar(s),0,PlayParametres);
  MaxWidth := 0;
  for i := 0 to AnswerVariantsCheckListBox.Items.Count - 1 do
    if MaxWidth < AnswerVariantsCheckListBox.Canvas.TextWidth(AnswerVariantsCheckListBox.Items.Strings[i]) then
      MaxWidth := AnswerVariantsCheckListBox.Canvas.TextWidth(AnswerVariantsCheckListBox.Items.Strings[i]);
  SendMessage(AnswerVariantsCheckListBox.Handle, LB_SETHORIZONTALEXTENT, MaxWidth*2+ProgFont.Size*2, 0);
end;

procedure TTestMainForm.SNextAnswerButtonClick(Sender: TObject);
var
  i: word;
  s: string;
  MaxWidth: integer;
begin
  for i:=0 to AnswerVariantsCheckListBox.Items.Count-1 do
   Questions[CurrentAnsweringQuestion].Answered[i]:=AnswerVariantsCheckListBox.Checked[i];
  Inc(CurrentAnsweringQuestion);
  if (not CurrentTestOptions.WithPictures)or(Questions[CurrentAnsweringQuestion].PicturePath='')
  then Image.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath) else
  if Questions[CurrentAnsweringQuestion].PicturePath<>'' then
   begin
    ChoosePictureEdit.text:=Questions[CurrentAnsweringQuestion].PicturePath;
    if Pos('\',Questions[CurrentAnsweringQuestion].PicturePath)>0 then
     Image.picture.LoadFromFile(Questions[CurrentAnsweringQuestion].PicturePath)
    else Image.picture.LoadFromFile(TestPath+'\'+Questions[CurrentAnsweringQuestion].PicturePath)
   end;
  PlayParametres:=SND_FILENAME+SND_ASYNC;
  if Questions[CurrentAnsweringQuestion].LoopSound then PlayParametres:=PlayParametres+SND_LOOP;  QuestionTextLabel.Caption:=WrapText(Questions[CurrentAnsweringQuestion].Question,380 div TestOptions.BackGroungFont.Size);
  AnswerVariantsCheckListBox.Height:=TestLBHeight-QuestionTextLabel.Height;
  AnswerVariantsCheckListBox.Top:=TestLBTop+QuestionTextLabel.Height;
  AnswerVariantsCheckListBox.Items.Clear;
  for i:=0 to Questions[CurrentAnsweringQuestion].AnsCount-1 do
   begin
    AnswerVariantsCheckListBox.Items.Add(Questions[CurrentAnsweringQuestion].Answer[i]);
    AnswerVariantsCheckListBox.Checked[i]:=Questions[CurrentAnsweringQuestion].Right[i];
   end;
  if CurrentAnsweringQuestion<CurrentTestOptions.QuestionsCount-1 then
   sNextAnswerButton.Enabled:=True
  else sNextaNSWERButton.Enabled:=False;
  if CurrentAnsweringQuestion>0 then
   SPreviousAnswerButton.Enabled:=True
  else SPreviousAnswerButton.Enabled:=False;
  if CurrentTestOptions.WithMusic then PlaySound(PChar(s),0,PlayParametres);
  MaxWidth := 0;
  for i := 0 to AnswerVariantsCheckListBox.Items.Count - 1 do
    if MaxWidth < AnswerVariantsCheckListBox.Canvas.TextWidth(AnswerVariantsCheckListBox.Items.Strings[i]) then
      MaxWidth := AnswerVariantsCheckListBox.Canvas.TextWidth(AnswerVariantsCheckListBox.Items.Strings[i]);
  SendMessage(AnswerVariantsCheckListBox.Handle, LB_SETHORIZONTALEXTENT, MaxWidth*2+ProgFont.Size*2, 0);
end;

procedure TTestMainForm.PaintTimerTimer(Sender: TObject);
begin
  SetAllFontAndColor;
  PaintTimer.Enabled:=true;
end;

procedure TTestMainForm.HelpTopics1Click(Sender: TObject);
begin
  if Testing then Exit;
  WinHelp(TestMainForm.Handle,PChar(ExtractFilePath(ParamStr(0))+'Help.hlp'),HELP_CONTEXT,0);
end;

procedure TTestMainForm.UndoRedo1Click(Sender: TObject);
begin
  if not Editing then Exit;
  RestoreUndoRedo;
  SetAllFontAndColor;
  TestServices.RestoreQuestions;
end;

procedure TTestMainForm.StatusBarDblClick(Sender: TObject);
begin
  PasswordWondersForm.ShowModal;
end;

procedure TTestMainForm.AnswerVariantsCheckListBoxKeyPress(Sender: TObject;
  var Key: Char);
begin
  AnswerVariantsCheckListBoxClick(Sender);
end;

procedure TTestMainForm.FindTestPath;
begin
  TestPath:=GetCurrentDir;
end;

procedure TTestMainForm.CloseFile1Click(Sender: TObject);
begin
  if Testing then
   begin
    ShowMessage(',    .');
    Exit;
   end;
  if Edited then
   case MessageDlg('      ?',mtConfirmation,
                   mbYesNoCancel,0) of
    mrYes: Save1Click(self);
    mrNo: ;
    mrCancel: Exit;
   end;
  Editing:=false;
  Testing:=false;
  Edited:=false;
  SaveTo:='';
  EditingPanel.Hide;
  TestingPanel.Hide;
  Image.Picture.LoadFromFile(TestOptions.BackgroundBitmapFilePath);
  TestMainForm.Caption:='Mental Control';
  Application.Title:='Mental Control';
end;

end.
