{------------------------------------------}
{Mental Control 1.0}
{    }
{Open Source under MPL}
{(c) 2003 SF}
{------------------------------------------}

unit PasswordDLGUnit;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons;

type
  TPasswordDlg = class(TForm)
    Label1: TLabel;
    Password: TEdit;
    OKBtn: TButton;
    CancelBtn: TButton;
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    { Private declarations }
  public
    Results: string[255];
  end;

var
  PasswordDlg: TPasswordDlg;

implementation

uses TestTypesConstantsVariables;

{$R *.dfm}

procedure TPasswordDlg.OKBtnClick(Sender: TObject);
var
  s: string[255];
begin
  s:=Password.Text;
  Results:=s;
end;

procedure TPasswordDlg.CancelBtnClick(Sender: TObject);
begin
  Results:=#1+#2+#3+#4+#5;
end;

procedure TPasswordDlg.FormPaint(Sender: TObject);
begin
  Password.Text:='';
end;

end.

