{------------------------------------------}
{Mental Control 1.0}
{    }
{Open Source under MPL}
{(c) 2003 SF}
{------------------------------------------}

unit ShowQuestionNFormUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Spin;

type
  TShowQuestionNForm = class(TForm)
    Label1: TLabel;
    SpinEdit: TSpinEdit;
    ShowButton: TButton;
    CancelButton: TButton;
    procedure CancelButtonClick(Sender: TObject);
    procedure ShowButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ShowQuestionNForm: TShowQuestionNForm;

implementation

uses TestTypesConstantsVariables, TestServices, MediaPlayerFormUnit,
  MainTestUnit, CurrentAnswerVariantEditingFormUnit;

{$R *.dfm}

procedure TShowQuestionNForm.CancelButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TShowQuestionNForm.ShowButtonClick(Sender: TObject);
begin
  StoreQuestions;
  CurrentEditingQuestion:=SpinEdit.Value-1;
  RestoreQuestions;
  Close;
end;

procedure TShowQuestionNForm.FormCreate(Sender: TObject);
begin
  SpinEdit.MaxValue:=CurrentTestOptions.QuestionsCount;
end;

end.
